Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(14)

Issue 2881143002: Switch BookmarkFaviconFetcher to the TaskScheduler API. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months ago by Sébastien Marchand
Modified:
3 weeks, 6 days ago
Reviewers:
robliao, gab, fdoray, sky
CC:
chromium-reviews, tfarina, browser-components-watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Switch BookmarkFaviconFetcher to the TaskScheduler API. BUG=689520 Review-Url: https://codereview.chromium.org/2881143002 Cr-Commit-Position: refs/heads/master@{#488747} Committed: https://chromium.googlesource.com/chromium/src/+/0c5896f54772633e34c7fa4b7ec3450d93b8cc11

Patch Set 1 #

Patch Set 2 : Switch BookmarkFaviconFetcher to the TaskScheduler API. #

Patch Set 3 : Switch to a SingleThreadTaskRunner #

Total comments: 6

Patch Set 4 : Use a SequencedTaskRunner #

Total comments: 2

Patch Set 5 : Remove useless include #

Messages

Total messages: 51 (33 generated)
fdoray
lgtm
3 months ago (2017-05-15 17:09:03 UTC) #3
Sébastien Marchand
PTAL.
3 months ago (2017-05-15 17:10:39 UTC) #7
Sébastien Marchand
sky: Please hold on before reviewing, some tests are apparently failing under some configurations, investigating.
3 months ago (2017-05-15 17:46:31 UTC) #8
Sébastien Marchand
sky: PTAL now, the blocking bug has been fixed.
3 months ago (2017-05-20 00:01:14 UTC) #25
sky
https://codereview.chromium.org/2881143002/diff/40001/chrome/browser/bookmarks/bookmark_html_writer.cc File chrome/browser/bookmarks/bookmark_html_writer.cc (right): https://codereview.chromium.org/2881143002/diff/40001/chrome/browser/bookmarks/bookmark_html_writer.cc#newcode454 chrome/browser/bookmarks/bookmark_html_writer.cc:454: scoped_refptr<base::SingleThreadTaskRunner> task_runner_ = Forgive my ignorance, but what happens ...
2 months, 3 weeks ago (2017-05-22 16:40:46 UTC) #28
Sébastien Marchand
https://codereview.chromium.org/2881143002/diff/40001/chrome/browser/bookmarks/bookmark_html_writer.cc File chrome/browser/bookmarks/bookmark_html_writer.cc (right): https://codereview.chromium.org/2881143002/diff/40001/chrome/browser/bookmarks/bookmark_html_writer.cc#newcode454 chrome/browser/bookmarks/bookmark_html_writer.cc:454: scoped_refptr<base::SingleThreadTaskRunner> task_runner_ = On 2017/05/22 16:40:46, sky wrote: > ...
2 months, 3 weeks ago (2017-05-22 17:19:17 UTC) #30
robliao
https://codereview.chromium.org/2881143002/diff/40001/chrome/browser/bookmarks/bookmark_html_writer.cc File chrome/browser/bookmarks/bookmark_html_writer.cc (right): https://codereview.chromium.org/2881143002/diff/40001/chrome/browser/bookmarks/bookmark_html_writer.cc#newcode454 chrome/browser/bookmarks/bookmark_html_writer.cc:454: scoped_refptr<base::SingleThreadTaskRunner> task_runner_ = On 2017/05/22 17:19:17, Sébastien Marchand wrote: ...
2 months, 3 weeks ago (2017-05-22 17:27:25 UTC) #31
sky
https://codereview.chromium.org/2881143002/diff/40001/chrome/browser/bookmarks/bookmark_html_writer.cc File chrome/browser/bookmarks/bookmark_html_writer.cc (right): https://codereview.chromium.org/2881143002/diff/40001/chrome/browser/bookmarks/bookmark_html_writer.cc#newcode454 chrome/browser/bookmarks/bookmark_html_writer.cc:454: scoped_refptr<base::SingleThreadTaskRunner> task_runner_ = On 2017/05/22 17:27:25, robliao wrote: > ...
2 months, 3 weeks ago (2017-05-22 17:33:55 UTC) #32
Sébastien Marchand
+gab@ and fdoray@ fyi. https://codereview.chromium.org/2881143002/diff/40001/chrome/browser/bookmarks/bookmark_html_writer.cc File chrome/browser/bookmarks/bookmark_html_writer.cc (right): https://codereview.chromium.org/2881143002/diff/40001/chrome/browser/bookmarks/bookmark_html_writer.cc#newcode454 chrome/browser/bookmarks/bookmark_html_writer.cc:454: scoped_refptr<base::SingleThreadTaskRunner> task_runner_ = On 2017/05/22 ...
2 months, 3 weeks ago (2017-05-23 16:56:48 UTC) #34
gab
https://codereview.chromium.org/2881143002/diff/40001/chrome/browser/bookmarks/bookmark_html_writer.cc File chrome/browser/bookmarks/bookmark_html_writer.cc (right): https://codereview.chromium.org/2881143002/diff/40001/chrome/browser/bookmarks/bookmark_html_writer.cc#newcode454 chrome/browser/bookmarks/bookmark_html_writer.cc:454: scoped_refptr<base::SingleThreadTaskRunner> task_runner_ = On 2017/05/23 16:56:48, Sébastien Marchand wrote: ...
2 months, 3 weeks ago (2017-05-23 17:17:00 UTC) #35
gab
On 2017/05/23 17:17:00, gab wrote: > https://codereview.chromium.org/2881143002/diff/40001/chrome/browser/bookmarks/bookmark_html_writer.cc > File chrome/browser/bookmarks/bookmark_html_writer.cc (right): > > https://codereview.chromium.org/2881143002/diff/40001/chrome/browser/bookmarks/bookmark_html_writer.cc#newcode454 > ...
1 month ago (2017-07-18 19:29:57 UTC) #36
Sébastien Marchand
Thanks, looks like I don't need a ScopedTaskEnvironment after all, PTAnL.
4 weeks ago (2017-07-20 16:39:29 UTC) #41
gab
On 2017/07/20 16:39:29, Sébastien Marchand wrote: > Thanks, looks like I don't need a ScopedTaskEnvironment ...
4 weeks ago (2017-07-20 19:11:14 UTC) #42
Sébastien Marchand
Thanks. sky@, do you want to take one last look at this? https://codereview.chromium.org/2881143002/diff/60001/chrome/browser/bookmarks/bookmark_html_writer.cc File chrome/browser/bookmarks/bookmark_html_writer.cc ...
3 weeks, 6 days ago (2017-07-21 15:45:26 UTC) #43
sky
LGTM
3 weeks, 6 days ago (2017-07-21 19:06:14 UTC) #44
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2881143002/80001
3 weeks, 6 days ago (2017-07-21 19:08:03 UTC) #47
robliao
lgtm
3 weeks, 6 days ago (2017-07-21 20:09:11 UTC) #48
commit-bot: I haz the power
3 weeks, 6 days ago (2017-07-21 21:05:16 UTC) #51
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/0c5896f54772633e34c7fa4b7ec3...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b